Install an installable agent into a sandbox+workspace
curl --request POST \
--url https://api.runtools.ai/v1/installable-agents/{slug}/install \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sandboxId": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ref": "<string>",
"repoUrl": "<string>",
"displayName": "<string>",
"avatarSeed": "<string>"
}
'import requests
url = "https://api.runtools.ai/v1/installable-agents/{slug}/install"
payload = {
"sandboxId": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ref": "<string>",
"repoUrl": "<string>",
"displayName": "<string>",
"avatarSeed": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sandboxId: '<string>',
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ref: '<string>',
repoUrl: '<string>',
displayName: '<string>',
avatarSeed: '<string>'
})
};
fetch('https://api.runtools.ai/v1/installable-agents/{slug}/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"installedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sandboxId": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentSlug": "<string>",
"displayName": "<string>",
"repoUrl": "<string>",
"requestedRef": "<string>",
"resolvedRef": "<string>",
"installPath": "<string>",
"statePath": "<string>",
"commandName": "<string>",
"errorMessage": "<string>",
"metadataJson": {},
"installedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"sandboxName": "<string>",
"workspaceName": "<string>",
"sandboxStatus": "<string>",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerDisplayName": "<string>",
"ownerEmail": "<string>"
}
}Installable agents
Install an installable agent into a sandbox+workspace
POST
/
v1
/
installable-agents
/
{slug}
/
install
Install an installable agent into a sandbox+workspace
Authorizations
bearerapiKey
WorkOS session token or RunTools API key (rt_live_* / rt_test_*).
Used in Authorization: Bearer <token> header.
Path Parameters
Body
application/json
Response
202 - application/json
Install accepted; track via GET /installs.
Show child attributes
Show child attributes
⌘I